
#property copyright "EATA Pollan vers."
#property link      "lg06@windowslive.com "

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- input parameters

extern int       CCI_per=14;
extern int       RSI_per=14;
extern int       Ma_Period=1;
extern int       koef=8;
extern bool arrows            = true;
double a=0,a1=0,a2=0,a3=0,a4=0,a5=0,a6=0,a7=0,a8=0,a9=0,a10=0,a11=0,a12=0,a13=0,a14=0,a15=0,a16=0,a17=0,a18=0,a19=0,a20=0,a21=0,a22=0,a23=0,a24=0,a25=0,a26=0,a27=0,a28=0,a29=0,a30=0,a31=0,a32=0,a33=0,a34=0,a35=0,a36=0,a37=0,a38=0,a39=0,a40=0,a41=0,a42=0,a43=0,a44=0,a45=0,a46=0;
double b=0,b1=0,b2=0,b3=0,b4=0,b5=0,b6=0,b7=0,b8=0;
double tt1max=0,tt2min=0;


//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
string sPrefix;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(4);
   SetIndexStyle(0,DRAW_LINE,0,2);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE,0,2);
   SetIndexBuffer(1,ExtMapBuffer2);
   
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexBuffer(3,ExtMapBuffer4); 
        
SetIndexLabel(0, "CCI-RSI");   
SetIndexLabel(1, "RSI-CCI");  
if (koef>8 || koef<0)koef=8;
sPrefix ="EATA pollan 2019 (" + CCI_per + ", " + RSI_per + ": " + koef +" )";
IndicatorShortName(sPrefix) ;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
DelOb();
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
      {
   int limit=Bars-IndicatorCounted();
   
  for(int i=limit-1;i>=0;i--) 
   {
           
            
            
            
            
        /*   a=iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i);
            a1=a-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+1)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+1));
             a2=a1-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+2)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+2));
              a3=a2-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+3)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+3));
               a4=a3-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+4)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+4));
                a5=a4-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+5)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+5));
                 a6=a5-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+6)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+6));
                  a7=a6-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+7)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+7));
                   a8=a7-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+8)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i+8));*/
                   
                 
         /*  a=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii));
            a1=a-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-1)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+1));
             a2=a1-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-2)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+2));
              a3=a2-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-3)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+3));
               a4=a3-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-4)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+4));
                a5=a4-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-5)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+5));
                 a6=a5-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-6)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+6));
                  a7=a6-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-7)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+7));
                   a8=a7-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-8)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+8));
           a9=a8-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-9)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+9));
            a10=a9-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-10)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+10));
             a11=a10-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-11)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+11));
              a12=a11-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-12)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+12));
               a13=a12-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-13)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+13));
                a14=a13-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-14)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+14));
                 a15=a14-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-15)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+15));
                  a16=a15-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-16)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+16));
                   a17=a16-(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii-17)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii+17));
                   
                   */
                     int ii=i;
               a=iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii);  
               
               double x=iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii);  
                x=a;
             a1=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+1)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
             a2=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+2)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
              a3=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+3)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
               a4=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+4)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                a5=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+5)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                 a6=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+6)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                  a7=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+7)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                   a8=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+8)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
          a9=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+9)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
            a10=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+10)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
             a11=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+11)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
              a12=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+12)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
               a13=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+13)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                a14=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+14)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                 a15=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+15)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                  a16=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+16)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                   a17=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,ii+17)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,ii))-x;
                   
                
                
                //-------------iiiii
                
           
                  int    iii=ii;
                   
            a18=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+18)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
            a19=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+19)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
             a20=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+20)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
              a21=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+21)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
               a22=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+22)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                a23=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+23)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                 a24=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+24)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                  a25=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+25)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                   a26=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+26)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                  
                   a27=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+27)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
            a28=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+28)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
             a29=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+29)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
              a30=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+30)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
               a31=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+31)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                a32=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+32)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                 a33=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+33)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                  a34=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+34)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;
                   a35=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii+35)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii))-x;

                   
                   //-----------
               /*     a36=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-36)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+36));
            a37=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-37)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+37));
             a38=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-38)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+38));
              a39=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-39)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+39));
               a40=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-40)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+40));
                a41=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-41)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+41));
                 a42=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-42)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+42));
                  a43=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-43)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+43));
                   a44=(iCCI(NULL,0,CCI_per,PRICE_TYPICAL,iii-44)-iRSI(NULL,0,RSI_per,PRICE_TYPICAL,iii+44));
                   
                   
                   //tt1max=a+a1+a2+a3+a4+a5+a6+a7+a8;*/
                   
        /*  a36=iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i);
            a37=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+1));
             a38=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+2));
              a39=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+3));
               a40=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+4));
                a41=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+5));
                 a42=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+6));
                  a43=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+7));
                   a44=(iRSI(NULL,0,RSI_per,PRICE_TYPICAL,i)-iCCI(NULL,0,CCI_per,PRICE_TYPICAL,i+8));
                   
                   tt2min=b+b1+b2+b3+b4+b5+b6+b7+b8;*/
 /*  switch(koef)
   {
      case 0     : tt1max=a; tt2min=b; break;
      case 1     : tt1max=a+a1; tt2min=b+b1; break;
      case 2     : tt1max=a+a1+a2; tt2min=b+b1+b2; break;
      case 3     : tt1max=a+a1+a2+a3; tt2min=b+b1+b2+b3; break;
      case 4     : tt1max=a+a1+a2+a3+a4; tt2min=b+b1+b2+b3+b4; break;
      case 5     : tt1max=a+a1+a2+a3+a4+a5; tt2min=b+b1+b2+b3+b4+b5; break;
      case 6     : tt1max=a+a1+a2+a3+a4+a5+a6; tt2min=b+b1+b2+b3+b4+b5+b6; break;
      case 7     : tt1max=a+a1+a2+a3+a4+a5+a6+a7; tt2min=b+b1+b2+b3+b4+b5+b6+b7; break;
      case 8     : tt1max=a+a1+a2+a3+a4+a5+a6+a7+a8; tt2min=b+b1+b2+b3+b4+b5+b6+b7+b8; break;
      default    : tt1max=a+a1+a2+a3+a4+a5+a6+a7+a8; tt2min=b+b1+b2+b3+b4+b5+b6+b7+b8; 
   }
              */                       
                     double MyArraymaxa[2];
                     double MyArraymaxa1[2];
                     double MyArraymaxa2[2];
                     double MyArraymaxa3[2];
                     double MyArraymaxa4[2];
                     double MyArraymaxa5[2];
                     double MyArraymaxa6[2];
                     double MyArraymaxa7[2];
                     double MyArraymaxa8[2];
                     
                     double MyArraymaxa9[2];
                     double MyArraymaxa10[2];
                     double MyArraymaxa11[2];
                     double MyArraymaxa12[2];
                     double MyArraymaxa13[2];
                     double MyArraymaxa14[2];
                     double MyArraymaxa15[2];
                     double MyArraymaxa16[2];
                     double MyArraymaxa17[2];
                     
                     double MyArraymaxa18[2];
                     double MyArraymaxa19[2];
                     double MyArraymaxa20[2];
                     double MyArraymaxa21[2];
                     double MyArraymaxa22[2];
                     double MyArraymaxa23[2];
                     double MyArraymaxa24[2];
                     double MyArraymaxa25[2];
                     double MyArraymaxa26[2];
                     
                     double MyArraymaxa27[2];
                     double MyArraymaxa28[2];
                     double MyArraymaxa29[2];
                     double MyArraymaxa30[2];
                     double MyArraymaxa31[2];
                     double MyArraymaxa32[2];
                     double MyArraymaxa33[2];
                     double MyArraymaxa34[2];
                     double MyArraymaxa35[2];
                     
                     double MyArraymaxa36[2];
                     double MyArraymaxa37[2];
                     double MyArraymaxa38[2];
                     double MyArraymaxa39[2];
                     double MyArraymaxa40[2];
                     double MyArraymaxa41[2];
                     double MyArraymaxa42[2];
                     double MyArraymaxa43[2];
                     double MyArraymaxa44[2];
                    
   MyArraymaxa[0]=a;
   double Valuemaxa=ArrayMaximum(MyArraymaxa,WHOLE_ARRAY,0);
   MyArraymaxa1[0]=a1;
   double Valuemaxa1=ArrayMaximum(MyArraymaxa1,WHOLE_ARRAY,0);
   MyArraymaxa2[0]=a2;
   double Valuemaxa2=ArrayMaximum(MyArraymaxa2,WHOLE_ARRAY,0);
   MyArraymaxa3[0]=a3;
   double Valuemaxa3=ArrayMaximum(MyArraymaxa3,WHOLE_ARRAY,0);
   MyArraymaxa4[0]=a4;
   double Valuemaxa4=ArrayMaximum(MyArraymaxa4,WHOLE_ARRAY,0);
   MyArraymaxa5[0]=a5;
   double Valuemaxa5=ArrayMaximum(MyArraymaxa5,WHOLE_ARRAY,0);
   MyArraymaxa6[0]=a6;
   double Valuemaxa6=ArrayMaximum(MyArraymaxa6,WHOLE_ARRAY,0);
   MyArraymaxa7[0]=a7;
   double Valuemaxa7=ArrayMaximum(MyArraymaxa7,WHOLE_ARRAY,0);
   MyArraymaxa8[0]=a8;
   double Valuemaxa8=ArrayMaximum(MyArraymaxa8,WHOLE_ARRAY,0);
   
   
   
   MyArraymaxa9[0]=a9;
   double Valuemaxa9=ArrayMaximum(MyArraymaxa9,WHOLE_ARRAY,0);
   MyArraymaxa10[0]=a10;
   double Valuemaxa10=ArrayMaximum(MyArraymaxa10,WHOLE_ARRAY,0);
   MyArraymaxa11[0]=a11;
   double Valuemaxa11=ArrayMaximum(MyArraymaxa11,WHOLE_ARRAY,0);
   MyArraymaxa12[0]=a12;
   double Valuemaxa12=ArrayMaximum(MyArraymaxa12,WHOLE_ARRAY,0);
   MyArraymaxa13[0]=a13;
   double Valuemaxa13=ArrayMaximum(MyArraymaxa13,WHOLE_ARRAY,0);
   MyArraymaxa14[0]=a14;
   double Valuemaxa14=ArrayMaximum(MyArraymaxa14,WHOLE_ARRAY,0);
   MyArraymaxa15[0]=a15;
   double Valuemaxa15=ArrayMaximum(MyArraymaxa15,WHOLE_ARRAY,0);
   MyArraymaxa16[0]=a16;
   double Valuemaxa16=ArrayMaximum(MyArraymaxa16,WHOLE_ARRAY,0);
   MyArraymaxa17[0]=a17;
   double Valuemaxa17=ArrayMaximum(MyArraymaxa17,WHOLE_ARRAY,0);
   
   
    MyArraymaxa18[0]=a18;
   double Valuemaxa18=ArrayMaximum(MyArraymaxa18,WHOLE_ARRAY,0);
   MyArraymaxa19[0]=a19;
   double Valuemaxa19=ArrayMaximum(MyArraymaxa19,WHOLE_ARRAY,0);
   MyArraymaxa20[0]=a20;
   double Valuemaxa20=ArrayMaximum(MyArraymaxa20,WHOLE_ARRAY,0);
   MyArraymaxa21[0]=a21;
   double Valuemaxa21=ArrayMaximum(MyArraymaxa21,WHOLE_ARRAY,0);
   MyArraymaxa22[0]=a22;
   double Valuemaxa22=ArrayMaximum(MyArraymaxa22,WHOLE_ARRAY,0);
   MyArraymaxa23[0]=a23;
   double Valuemaxa23=ArrayMaximum(MyArraymaxa23,WHOLE_ARRAY,0);
   MyArraymaxa24[0]=a24;
   double Valuemaxa24=ArrayMaximum(MyArraymaxa24,WHOLE_ARRAY,0);
   MyArraymaxa25[0]=a25;
   double Valuemaxa25=ArrayMaximum(MyArraymaxa25,WHOLE_ARRAY,0);
   MyArraymaxa26[0]=a26;
   double Valuemaxa26=ArrayMaximum(MyArraymaxa26,WHOLE_ARRAY,0);
   
   
    MyArraymaxa27[0]=a27;
   double Valuemaxa27=ArrayMaximum(MyArraymaxa27,WHOLE_ARRAY,0);
   MyArraymaxa28[0]=a28;
   double Valuemaxa28=ArrayMaximum(MyArraymaxa28,WHOLE_ARRAY,0);
   MyArraymaxa29[0]=a29;
   double Valuemaxa29=ArrayMaximum(MyArraymaxa29,WHOLE_ARRAY,0);
   MyArraymaxa30[0]=a30;
   double Valuemaxa30=ArrayMaximum(MyArraymaxa30,WHOLE_ARRAY,0);
   MyArraymaxa31[0]=a31;
   double Valuemaxa31=ArrayMaximum(MyArraymaxa31,WHOLE_ARRAY,0);
   MyArraymaxa32[0]=a32;
   double Valuemaxa32=ArrayMaximum(MyArraymaxa32,WHOLE_ARRAY,0);
   MyArraymaxa33[0]=a33;
   double Valuemaxa33=ArrayMaximum(MyArraymaxa33,WHOLE_ARRAY,0);
   MyArraymaxa34[0]=a34;
   double Valuemaxa34=ArrayMaximum(MyArraymaxa34,WHOLE_ARRAY,0);
   MyArraymaxa35[0]=a35;
   double Valuemaxa35=ArrayMaximum(MyArraymaxa35,WHOLE_ARRAY,0);
   
   
    MyArraymaxa36[0]=a36;
   double Valuemaxa36=ArrayMaximum(MyArraymaxa36,WHOLE_ARRAY,0);
   MyArraymaxa37[0]=a37;
   double Valuemaxa37=ArrayMaximum(MyArraymaxa37,WHOLE_ARRAY,0);
   MyArraymaxa38[0]=a38;
   double Valuemaxa38=ArrayMaximum(MyArraymaxa38,WHOLE_ARRAY,0);
   MyArraymaxa39[0]=a39;
   double Valuemaxa39=ArrayMaximum(MyArraymaxa39,WHOLE_ARRAY,0);
   MyArraymaxa40[0]=a40;
   double Valuemaxa40=ArrayMaximum(MyArraymaxa40,WHOLE_ARRAY,0);
   MyArraymaxa41[0]=a41;
   double Valuemaxa41=ArrayMaximum(MyArraymaxa41,WHOLE_ARRAY,0);
   MyArraymaxa42[0]=a42;
   double Valuemaxa42=ArrayMaximum(MyArraymaxa42,WHOLE_ARRAY,0);
   MyArraymaxa43[0]=a43;
   double Valuemaxa43=ArrayMaximum(MyArraymaxa43,WHOLE_ARRAY,0);
   MyArraymaxa44[0]=a44;
   double Valuemaxa44=ArrayMaximum(MyArraymaxa44,WHOLE_ARRAY,0);
 /*  MyArray[9]=a9;
   MyArray[10]=a10;
   MyArray[11]=a11;
   MyArray[12]=a12;
   MyArray[13]=a13;
   MyArray[14]=a14;
   MyArray[15]=a15;
   MyArray[16]=a16;
   MyArray[17]=a17;
   MyArray[18]=a18;
   MyArray[19]=a19;
   MyArray[20]=a20;
   MyArray[21]=a21;
   MyArray[22]=a22;
   MyArray[23]=a23;
   MyArray[24]=a24;
   MyArray[25]=a25;
   MyArray[26]=a26;*/
  
   
   
   
   
                     double MyArraymina[9];
                     double MyArraymina1[2];
                     double MyArraymina2[2];
                     double MyArraymina3[2];
                     double MyArraymina4[2];
                     double MyArraymina5[2];
                     double MyArraymina6[2];
                     double MyArraymina7[2];
                     double MyArraymina8[2];
                    
                    
                     double MyArraymina9[2];
                     double MyArraymina10[2];
                     double MyArraymina11[2];
                     double MyArraymina12[2];
                     double MyArraymina13[2];
                     double MyArraymina14[2];
                     double MyArraymina15[2];
                     double MyArraymina16[2];
                     double MyArraymina17[2];
                     
                     
                     double MyArraymina18[2];
                     double MyArraymina19[2];
                     double MyArraymina20[2];
                     double MyArraymina21[2];
                     double MyArraymina22[2];
                     double MyArraymina23[2];
                     double MyArraymina24[2];
                     double MyArraymina25[2];
                     double MyArraymina26[2];
                     
                
                      double MyArraymina27[2];
                     double MyArraymina28[2];
                     double MyArraymina29[2];
                     double MyArraymina30[2];
                     double MyArraymina31[2];
                     double MyArraymina32[2];
                     double MyArraymina33[2];
                     double MyArraymina34[2];
                     double MyArraymina35[2];
                     
                      double MyArraymina36[2];
                     double MyArraymina37[2];
                     double MyArraymina38[2];
                     double MyArraymina39[2];
                     double MyArraymina40[2];
                     double MyArraymina41[2];
                     double MyArraymina42[2];
                     double MyArraymina43[2];
                     double MyArraymina44[2];
  
  
  MyArraymina[0]= a;
   double Valuemina=ArrayMinimum(MyArraymina,WHOLE_ARRAY,0);
   MyArraymina1[0]=a1;
   double Valuemina1=ArrayMinimum(MyArraymina1,WHOLE_ARRAY,0);
   MyArraymina2[0]=a2;
   double Valuemina2=ArrayMinimum(MyArraymina2,WHOLE_ARRAY,0);
   MyArraymina3[0]=a3;
   double Valuemina3=ArrayMinimum(MyArraymina4,WHOLE_ARRAY,0);
   MyArraymina4[0]=a4;
   double Valuemina4=ArrayMinimum(MyArraymina4,WHOLE_ARRAY,0);
   MyArraymina5[0]=a5;
   double Valuemina5=ArrayMinimum(MyArraymina5,WHOLE_ARRAY,0);
   MyArraymina6[0]=a6;
   double Valuemina6=ArrayMinimum(MyArraymina6,WHOLE_ARRAY,0);
   MyArraymina7[0]=a7;
   double Valuemina7=ArrayMinimum(MyArraymina7,WHOLE_ARRAY,0);
   MyArraymina8[0]=a8;
   double Valuemina8=ArrayMinimum(MyArraymina8,WHOLE_ARRAY,0);
  
  
  
  
  
  
   MyArraymina9[0]=a9;
   double Valuemina9=ArrayMinimum(MyArraymina9,WHOLE_ARRAY,0);
   MyArraymina10[0]=a10;
   double Valuemina10=ArrayMinimum(MyArraymina10,WHOLE_ARRAY,0);
   MyArraymina11[0]=a11;
   double Valuemina11=ArrayMinimum(MyArraymina11,WHOLE_ARRAY,0);
   MyArraymina12[0]=a12;
   double Valuemina12=ArrayMinimum(MyArraymina12,WHOLE_ARRAY,0);
   MyArraymina13[0]=a13;
   double Valuemina13=ArrayMinimum(MyArraymina13,WHOLE_ARRAY,0);
   MyArraymina14[0]=a14;
   double Valuemina14=ArrayMinimum(MyArraymina14,WHOLE_ARRAY,0);
   MyArraymina15[0]=a15;
   double Valuemina15=ArrayMinimum(MyArraymina15,WHOLE_ARRAY,0);
   MyArraymina16[0]=a16;
   double Valuemina16=ArrayMinimum(MyArraymina16,WHOLE_ARRAY,0);
   MyArraymina17[0]=a17;
   double Valuemina17=ArrayMinimum(MyArraymina17,WHOLE_ARRAY,0);
   
   
   
   MyArraymina18[0]=a18;
   double Valuemina18=ArrayMinimum(MyArraymina18,WHOLE_ARRAY,0);
   MyArraymina19[0]=a19;
   double Valuemina19=ArrayMinimum(MyArraymina19,WHOLE_ARRAY,0);
   MyArraymina20[0]=a20;
   double Valuemina20=ArrayMinimum(MyArraymina20,WHOLE_ARRAY,0);
   MyArraymina21[0]=a21;
   double Valuemina21=ArrayMinimum(MyArraymina21,WHOLE_ARRAY,0);
   MyArraymina22[0]=a22;
   double Valuemina22=ArrayMinimum(MyArraymina22,WHOLE_ARRAY,0);
   MyArraymina23[0]=a23;
   double Valuemina23=ArrayMinimum(MyArraymina23,WHOLE_ARRAY,0);
   MyArraymina24[0]=a24;
   double Valuemina24=ArrayMinimum(MyArraymina24,WHOLE_ARRAY,0);
   MyArraymina25[0]=a25;
   double Valuemina25=ArrayMinimum(MyArraymina25,WHOLE_ARRAY,0);
   MyArraymina26[0]=a26;
   double Valuemina26=ArrayMinimum(MyArraymina26,WHOLE_ARRAY,0);



   MyArraymina27[0]=a27;
   double Valuemina27=ArrayMinimum(MyArraymina27,WHOLE_ARRAY,0);
   MyArraymina28[0]=a28;
   double Valuemina28=ArrayMinimum(MyArraymina28,WHOLE_ARRAY,0);
   MyArraymina29[0]=a29;
   double Valuemina29=ArrayMinimum(MyArraymina29,WHOLE_ARRAY,0);
   MyArraymina30[0]=a30;
   double Valuemina30=ArrayMinimum(MyArraymina30,WHOLE_ARRAY,0);
   MyArraymina31[0]=a31;
   double Valuemina31=ArrayMinimum(MyArraymina31,WHOLE_ARRAY,0);
   MyArraymina32[0]=a32;
   double Valuemina32=ArrayMinimum(MyArraymina32,WHOLE_ARRAY,0);
   MyArraymina33[0]=a33;
   double Valuemina33=ArrayMinimum(MyArraymina33,WHOLE_ARRAY,0);
   MyArraymina34[0]=a34;
   double Valuemina34=ArrayMinimum(MyArraymina34,WHOLE_ARRAY,0);
   MyArraymina35[0]=a35;
   double Valuemina35=ArrayMinimum(MyArraymina35,WHOLE_ARRAY,0);


   MyArraymina36[0]=a36;
   double Valuemina36=ArrayMinimum(MyArraymina36,WHOLE_ARRAY,0);
   MyArraymina37[0]=a37;
   double Valuemina37=ArrayMinimum(MyArraymina37,WHOLE_ARRAY,0);
   MyArraymina38[0]=a38;
   double Valuemina38=ArrayMinimum(MyArraymina38,WHOLE_ARRAY,0);
   MyArraymina39[0]=a39;
   double Valuemina39=ArrayMinimum(MyArraymina39,WHOLE_ARRAY,0);
   MyArraymina40[0]=a40;
   double Valuemina40=ArrayMinimum(MyArraymina40,WHOLE_ARRAY,0);
   MyArraymina41[0]=a41;
   double Valuemina41=ArrayMinimum(MyArraymina41,WHOLE_ARRAY,0);
   MyArraymina42[0]=a42;
   double Valuemina42=ArrayMinimum(MyArraymina42,WHOLE_ARRAY,0);
   MyArraymina43[0]=a43;
   double Valuemina43=ArrayMinimum(MyArraymina43,WHOLE_ARRAY,0);
   MyArraymina44[0]=a44;
   double Valuemina44=ArrayMinimum(MyArraymina44,WHOLE_ARRAY,0);

 
                    
          /*          
                    }
         double MyArrayx[2];
                MyArrayx[0]=a;
                MyArrayx[0]=MaxValue;
                
                
                double MaxValuex=ArrayMaximum(MyArrayx,WHOLE_ARRAY,0);
                
          double MyArrayy[2];
                MyArrayy[0]=a;
                MyArrayy[0]=MinValue;      
               
                    
                    
                   double MinValuex=ArrayMinimum(MyArrayy,WHOLE_ARRAY,0);
                  
           */
                  
               
               
               
               
               
                 double  tt1maxlevel1=Valuemaxa+Valuemaxa1+Valuemaxa2+Valuemaxa3+Valuemaxa4+Valuemaxa5+Valuemaxa6+Valuemaxa7+Valuemaxa8;
                 double  tt1maxlevel2=Valuemaxa9+Valuemaxa10+Valuemaxa11+Valuemaxa12+Valuemaxa13+Valuemaxa14+Valuemaxa15+Valuemaxa16+Valuemaxa17;
                 double  tt1maxlevel3=Valuemaxa18+Valuemaxa19+Valuemaxa20+Valuemaxa21+Valuemaxa22+Valuemaxa23+Valuemaxa24+Valuemaxa25+Valuemaxa26;
                 double  tt1maxlevel4=Valuemaxa27+Valuemaxa28+Valuemaxa29+Valuemaxa30+Valuemaxa31+Valuemaxa32+Valuemaxa33+Valuemaxa34+Valuemaxa35;
                 double  tt1maxlevel5=Valuemaxa36+Valuemaxa37+Valuemaxa38+Valuemaxa39+Valuemaxa40+Valuemaxa41+Valuemaxa42+Valuemaxa43+Valuemaxa44;
                   
                 double  tt2minlevel1=Valuemina+Valuemina1+Valuemina2+Valuemina3+Valuemina4+Valuemina5+Valuemina6+Valuemina7+Valuemina8;
                 double  tt2minlevel2=Valuemina9+Valuemina10+Valuemina11+Valuemina12+Valuemina13+Valuemina14+Valuemina15+Valuemina16+Valuemina17;
                 double  tt2minlevel3=Valuemina18+Valuemina19+Valuemina20+Valuemina21+Valuemina22+Valuemina23+Valuemina24+Valuemina25+Valuemina26;
                 double  tt2minlevel4=Valuemina27+Valuemina28+Valuemina29+Valuemina30+Valuemina31+Valuemina32+Valuemina33+Valuemina34+Valuemina35;
                 double  tt2minlevel5=Valuemina36+Valuemina37+Valuemina38+Valuemina39+Valuemina40+Valuemina41+Valuemina42+Valuemina43+Valuemina44;
                   
                   
                   
                   tt1max=tt1maxlevel1+tt1maxlevel2+tt1maxlevel3+tt1maxlevel4;//+tt2maxlevel2;//+tt1maxlevel2+tt1maxlevel3;//+tt2minlevel3//+tt1maxlevel4+tt1maxlevel5;
                   tt2min=tt2minlevel1+tt2minlevel2+tt2minlevel3+tt2minlevel4;//+tt2minlevel2;//+tt2minlevel2+tt2minlevel3;//+tt2minlevel3+tt2minlevel4+tt2minlevel5;
                   
                  
                   
                ExtMapBuffer3[i]=tt1max; 
                ExtMapBuffer4[i]=tt2min;
           
           }
           
                

                       
 for(i=0; i<limit; i++)
 {     
   ExtMapBuffer1[i]=iMAOnArray(ExtMapBuffer3,Bars,Ma_Period,0,MODE_SMA,i);                  
   ExtMapBuffer2[i]=iMAOnArray(ExtMapBuffer4,Bars,Ma_Period,0,MODE_SMA,i);  
 }                  
  for(i=0; i<limit; i++)
  { 
      if(arrows)
      {
        if(ExtMapBuffer1[i]>=ExtMapBuffer2[i] && ExtMapBuffer1[i+1]<ExtMapBuffer2[i+1])
        {
        DrawAr("up",i);
        }
        if(ExtMapBuffer1[i]<=ExtMapBuffer2[i] && ExtMapBuffer1[i+1]>ExtMapBuffer2[i+1])
        {
        DrawAr("dn",i);
        }      
       }
   }      
   return(0);
}

void DelOb()
{
    int n = ObjectsTotal();
    for (int i = n - 1; i >= 0; i--) 
    {
     string sName = ObjectName(i);
	  if (StringFind(sName, sPrefix) == 0) 
	  {
	    ObjectDelete(sName);
	  }
    }
}

//----------------------------------------------------------------------
void DrawAr(string ssName, int i)
{
    
    string sName=sPrefix+" "+ssName+" "+ TimeToStr(Time[i],TIME_DATE|TIME_MINUTES);
    ObjectDelete(sName);    
    ObjectCreate(sName, OBJ_ARROW, 0, Time[i], 0);
    double gap  = 3.0*iATR(NULL,0,20,i)/4.0;
    if(ssName=="up")
    {
    ObjectSet(sName, OBJPROP_ARROWCODE,  225);
    ObjectSet(sName, OBJPROP_PRICE1, Low[i]-gap);
    ObjectSet(sName, OBJPROP_COLOR, Lime);
    }
    if(ssName=="dn")
    {
    ObjectSet(sName, OBJPROP_ARROWCODE,  226);
    ObjectSet(sName, OBJPROP_PRICE1, High[i]+gap);
    ObjectSet(sName, OBJPROP_COLOR, Red);    
    }    
    ObjectSet(sName, OBJPROP_WIDTH, 1);
} 
                   
                   
                    
          
   
   
  
  




//---------------------------------------------------------+